#!/bin/sh

# $Id: README.NetBSD,v 1.7 2006/06/18 16:53:50 lexort Exp $

# This README is really a script to build lprof on NetBSD, assuming
# that pkgsrc packages are installed (in /usr/pkg).  One needs
# qt3-libs, qt3-tools, libtiff, and lcms.
# One needs vigra, and this is not yet in pkgsrc.

# This script does not yet work.

# XXX Setting -R in ldflags should not be necessary because
# added_libpath should put -R as well as -L on systems where that is
# the convention.

export MOC=/usr/pkg/qt3/bin/moc
export UIC=/usr/pkg/qt3/bin/uic

# plugsin/imageformats may not be necessary now that TiffIO is not used.

scons \
  --cache-disable \
  --debug=count \
  --debug=dtree \
  --debug=explain \
  --debug=includes \
  --debug=memory \
  --debug=objects \
  --debug=pdb \
  --debug=presub \
  --debug=time \
  --debug=tree \
  PREFIX=/usr/pkg \
  qt_directory=/usr/pkg/qt3 \
  added_cppflags="/usr/pkg/include" \
  added_libpath="/usr/pkg/lib /usr/pkg/qt3/lib/plugins/imageformats" \
  ldflags="-R/usr/pkg/lib"
